<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }
if (!USER_LOGGED) { exit('wu-error'); }

if(isset($_POST['id'])){
if(!empty($_POST['id'])){
$id = intval($_POST['id']);

$msg = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT id,fr,msg,files,log FROM ".DB_PREFIX."_messages INNER JOIN ".DB_PREFIX."_users ON ".DB_PREFIX."_messages.tou = ".DB_PREFIX."_users.uid WHERE id='$id' LIMIT 1"));
if (empty($msg['id'])) { wu_log_act(2, 'Пытался удалить не существующее сообщение'); exit('wu-error'); }

if ($msg['fr'] !== $u_id) { wu_log_act(2, "Пытался удалить чужое сообщение пользователя $msg[log]. Текст сообщения: ".wu_filter($msg['msg'])); exit('wu-error'); }

wu_log_act(1, "Удалил личное сообщение с пользователем $msg[log]. Текст сообщения: ".wu_filter($msg['msg']));

//Удаление прикреплений
if (!empty($msg['files'])) {
$images = array('gif','jpg', 'png', 'jpeg');
$files = explode('|', $msg['files']);
foreach ($files as $file) {
if (!empty($file)){
$expl = explode(':', $file);
$ifile = $expl[0];
$iname = $expl[1];
$exp = explode('.', $ifile);
$exp_e = strtolower($exp[1]);
unlink('../../wu-uploads/attach/full/'.$ifile);
if (in_array($exp_e, $images)) {
unlink('../../wu-uploads/attach/thumbs/'.$ifile);
}
}
}
}

mysqli_query($connect_db, "DELETE FROM `".DB_PREFIX."_messages` WHERE id='$id' LIMIT 1");
exit('1');
} else { exit('wu-error'); }
} else { exit('wu-error'); }
?>